+++
title = 'Silicate configurations'
show_toc = true
weight = 20
+++

{{< warning >}}
Currently under construction.

Screenshot will be added to show the result of possible configurations.
{{< /warning >}}

Silicate has built-in feature that you can configure from
your `hugo.toml` file.

Most of them are described in the `themes/silicate/hugo.toml` file as
well. You should have a look here to see how they are organised.

All these configurations go into the `params.silicate` table, so
if you don't have one already, you can copy the one from
`themes/silicate/hugo.toml` or add the following to your config:

```
[params]
    ...
    [params.silicate]
        # All configuration will go here
```

<!--more-->

## Global features

### Disabling Silicate branding

If you want to remove the "Made with the Silicate Framework!" message
at the bottom of pages, you can simply do so by adding the following configuration:

`show_notice = false`

## Comic pages features

All comic pages configurations go into the `params.silicate.pages` table, like so:

```
[params]
    ...
    [params.silicate]
        ...
        [params.silicate.pages]
            # All pages configuration will go here
```

### Navbar location

By default, Silicate will render a navigation bar below and above
the comic's strips.

If you want the nav bar to be only below the comic's strips, you can
add the following configuration:

`nav_above_page = false`

### Chapter navigation

By default, if you [group your pages into chapters]({{% relRef "tutorials/more-features/chapters-and-acts" %}}),
Silicate will add a button to navigate to the previous and next chapter of the current page.

If you want to disable that, you can add the following configuration:

`show_chapter_nav = false`
